## AgsLevelBox

AgsLevelBox — box widget

## Stability Level

Stable, unless otherwise indicated

## Functions

GList * | ags_level_box_get_level ()
void | ags_level_box_add_level ()
void | ags_level_box_remove_level ()
void | ags_level_box_child_width_request ()
void | ags_level_box_child_height_request ()
AgsLevelBox * | ags_level_box_new ()

## Signals

void | child-height-request | Run Last
void | child-width-request | Run Last

## Types and Values

#define | AGS_LEVEL_BOX_DEFAULT_SPACING

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkBox
                    ╰── AgsLevelBox

## Includes

    #include <ags/widget/ags_level_box.h>

## Description

The AgsLevelBox is a box widget containing AgsLevel.

## Functions

### ags_level_box_get_level ()

    GList *
    ags_level_box_get_level (AgsLevelBox *level_box);

Get level.

#### Parameters

level_box | the AgsLevelBox |

#### Returns

the GList containing AgsLevel.

[element-type AgsGui.Level][transfer container]

Since: 4.0.0

### ags_level_box_add_level ()

    void
    ags_level_box_add_level (AgsLevelBox *level_box,
                             AgsLevel *level);

Add `level` to `level_box` .

#### Parameters

level_box | the AgsLevelBox |
level | the AgsLevel |

Since: 4.0.0

### ags_level_box_remove_level ()

    void
    ags_level_box_remove_level (AgsLevelBox *level_box,
                                AgsLevel *level);

Remove level at `position` of `level_box` .

#### Parameters

level_box | the AgsLevelBox |
level | the AgsLevel |

Since: 4.0.0

### ags_level_box_child_width_request ()

    void
    ags_level_box_child_width_request (AgsLevelBox *level_box,
                                       GtkWidget *level,
                                       gint width_request);

Notify about child level width request.

#### Parameters

level_box | the AgsLevelBox |
level | the AgsLevel |
width_request | the level's width-request |

Since: 4.0.0

### ags_level_box_child_height_request ()

    void
    ags_level_box_child_height_request (AgsLevelBox *level_box,
                                        GtkWidget *level,
                                        gint height_request);

Notify about child level height request.

#### Parameters

level_box | the AgsLevelBox |
level | the AgsLevel |
height_request | the level's height-request |

Since: 4.0.0

### ags_level_box_new ()

    AgsLevelBox *
    ags_level_box_new (GtkOrientation orientation);

Create a new instance of AgsLevelBox.

#### Parameters

orientation | the GtkOrientation |

#### Returns

the new AgsLevelBox instance

Since: 3.0.0

## Types and Values

### AGS_LEVEL_BOX_DEFAULT_SPACING

    #define AGS_LEVEL_BOX_DEFAULT_SPACING (8)

## Signal Details

### The `“child-height-request”` signal

    void
    user_function (AgsLevelBox *level_box,
                   GObject     *level,
                   int          height_request,
                   gpointer     user_data)

The ::child-height-request

#### Parameters

level_box | the AgsLevelBox. |
level | the AgsLevel |
height_request | the level's height-request |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 4.0.0

### The `“child-width-request”` signal

    void
    user_function (AgsLevelBox *level_box,
                   GObject     *level,
                   int          width_request,
                   gpointer     user_data)

The ::child-width-request

#### Parameters

level_box | the AgsLevelBox. |
level | the AgsLevel |
width_request | the level's width-request |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 4.0.0